package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.Windplantproject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * WindplantprojectMapper接口
 *
 * @author hlf
 * @date 2021-08-02
 */
public interface WindplantprojectMapper {
    /**
     * 查询Windplantproject
     *
     * @param projectNo WindplantprojectID
     * @return Windplantproject
     */
    public Windplantproject selectWindplantprojectById(Long projectNo);

    /**
     * 查询Windplantproject列表
     *
     * @param windplantproject Windplantproject
     * @return Windplantproject集合
     */
    public List<Windplantproject> selectWindplantprojectList(Windplantproject windplantproject);

    /**
     * 新增Windplantproject
     *
     * @param windplantproject Windplantproject
     * @return 结果
     */
    public int insertWindplantproject(Windplantproject windplantproject);

    /**
     * 修改Windplantproject
     *
     * @param windplantproject Windplantproject
     * @return 结果
     */
    public int updateWindplantproject(Windplantproject windplantproject);

    /**
     * 删除Windplantproject
     *
     * @param projectNo WindplantprojectID
     * @return 结果
     */
    public int deleteWindplantprojectById(Long projectNo);

    /**
     * 批量删除Windplantproject
     *
     * @param projectNos 需要删除的数据ID
     * @return 结果
     */
    public int deleteWindplantprojectByIds(String[] projectNos);

    List<Windplantproject> selectWindplantprojectByWindplantNo(Long windplantNo);

    Windplantproject selectWindplantprojectByWpNoProjectNo(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo);

    Windplantproject checkProjectNoUnique(Long projectNo);

    Windplantproject checkAnalogNoUnique(Long analogNo);

    Long selectNewData();

    int insertWindplantprojectList(List<Windplantproject> windplantprojectList);

    int deleteWindplantprojectByWindplantNo(Long windplantNo);

    int checkBcrNoUnique(Long bcrNo);

    int checkMonthBcrNoUnique(Long monthBcrNo);

    int checkYearBcrNoUnique(Long yearBcrNo);

    Windplantproject selectWindplantprojectByProjectIssue(String projectIssue);
}
